import {
  a as e,
  c as u
} from "./chunk-IO47FP3U.js";

// ../node_modules/highlight.js/lib/languages/mojolicious.js
var s = u((i, n) => {
  function a(g) {
    return {
      name: "Mojolicious",
      subLanguage: "xml",
      contains: [
        {
          className: "meta",
          begin: "^__(END|DATA)__$"
        },
        // mojolicious line
        {
          begin: "^\\s*%{1,2}={0,2}",
          end: "$",
          subLanguage: "perl"
        },
        // mojolicious block
        {
          begin: "<%{1,2}={0,2}",
          end: "={0,1}%>",
          subLanguage: "perl",
          excludeBegin: !0,
          excludeEnd: !0
        }
      ]
    };
  }
  e(a, "mojolicious");
  n.exports = a;
});

export {
  s as a
};
